Skip to content

count-members-api

Endpoint for counting the members of a group.

countGroupMembers

Request

Returns the number of members in the specified group, optionally filtered by role.

Security
bearer
Path
group_emailstringrequired

The email of the group whose members are counted.

Query
rolestring

Optional role filter applied when counting members.

Enum:"MEMBER""OWNER"
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/entitlements/v2/groups/{group_email}/membersCount?role=MEMBER' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

OK

Bodyapplication/json
groupEmailstring

The email of the group whose members were counted.

membersCountinteger, (int32)

The number of members in the group.

partitionIdstring

The data partition id the group belongs to.

Response
{ "groupEmail": "string", "membersCount": 0, "partitionId": "string" }